Export Addresses
GET
API for downloading the addresses monitored by an ADDRESS_ACTIVITY event type Webhook as a streamed CSV file.The first line is the header
address,createdAt, followed by lowercase address,registration time (ISO 8601) on each subsequent line. The parameters are the same as the address list query API, except there is no pagination.Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.subscriptionIdstringrequired
Parameter that specifies the subscriptionId assigned to the ADDRESS_ACTIVITY Webhook.Query Parameters
sortstring
Sort criteria. createdAt sorts by registration time, and address sorts alphabetically.orderstring
Sort direction. Enter asc or desc. The default is asc.searchstring
Address prefix matching. The entered address is normalized to lowercase for matching.Responses
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X GET 'https://web3.nodit.io/v1/arbitrum/mainnet/webhooks/1234567890/addresses/download?search=0xabc' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'